org.apache.ignite.internal.processors.cache.query

## Class GridCacheSqlQuery

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.query.GridCacheSqlQuery

All Implemented Interfaces:
  Externalizable, Serializable

    public class GridCacheSqlQuery
    extends Object
    implements Externalizable

Query.

See Also:
  Serialized Form

### Field Summary

Fields
`static Object[]` `EMPTY_PARAMS`

### Constructor Summary

Constructors
Constructor and Description
`GridCacheSqlQuery()` For `Externalizable`.

### Method Summary

Methods
`String` `alias()`
`Object[]` `parameters()`
`String` `query()`
`void` `readExternal(ObjectInput in)`
`String` `toString()`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### EMPTY_PARAMS

    public static final Object[] EMPTY_PARAMS

### Constructor Detail

#### GridCacheSqlQuery

    public GridCacheSqlQuery()

For `Externalizable`.

### Method Detail

#### alias

    public String alias()

Returns:
  Alias.

#### query

    public String query()

Returns:
  Query.

#### parameters

    public Object[] parameters()

Returns:
  Parameters.

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0
Release Date | : March 31 2015